class SelectModel{
  String name;
  String title;
  String function;
  SelectModel({ this.function,this.name,this.title});
  SelectModel.fromJson(dynamic data)
  {
    if(data.name)name=data.name;
    if(data.name)title=data.title;
    if(data.name)function=data.function;
  }
  dynamic toJson()
  {
    return{
      'name':name,
      'title':title,
      'function':function,
    };
  }
  static dynamic toList(List<SelectModel> list)
  {
    var l=[];
    if(list!=null)
    {
      for(var a in list)
      {
        l.add(a.toJson());
      }
    }
    return l;
  }
  static List<SelectModel> fromList(dynamic data)
  {
    var l=<SelectModel>[];
    for(var a in data)
    {
      l.add(SelectModel.fromJson(a));
    }
    return l;
  }
}
class QueryModel
{
  dynamic where;
  List<SelectModel> select;
  QueryModel({this.where,this.select});
  QueryModel. fromJson(dynamic data)
  { 
    if(data['where']!=null) where=data['where'];
    if(data['select']!=null) select=SelectModel.fromList(data['select']);
  }
  dynamic toJson()
  {
    return {
      'where':where,
      'select':SelectModel.toList(select)
    };
  }
}